Country reference
GET
/v1/reference/countriesEvery country and territory with its two- and three-letter and number codes, region, currency, income group, time zones and whether tourism figures are held for it.
On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
| Name | Type | Description |
|---|---|---|
| limitoptional | integer query | Rows per page, 1 to 1000 e.g. 100 |
| cursoroptional | string query | The next value from the previous page |
Request
# Every country's codes, currency and time zones
curl "https://api.tourismapi.com/v1/reference/countries" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/reference/countries", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/reference/countries",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/reference/countries");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_3a10bd73a0",
"data_as_of": "2026-10-21T17:42:32Z",
"count": 250
},
"data": [
{
"iso": "AD",
"iso3": "AND",
"numeric": "020",
"name": "Andorra",
"region": "Europe",
"currency": "EUR",
"currency_name": "Euro",
"income_group": "High income",
"time_zones": [
"Europe/Andorra"
],
"tourism_figures": "quarterly or yearly"
},
{
"iso": "AE",
"iso3": "ARE",
"numeric": "784",
"name": "United Arab Emirates",
"region": "Middle East and Africa",
"currency": "AED",
"currency_name": "U.A.E. dirham",
"income_group": "High income",
"time_zones": [
"Asia/Dubai"
],
"tourism_figures": "monthly"
},
{
"iso": "AF",
"iso3": "AFG",
"numeric": "004",
"name": "Afghanistan",
"region": "Middle East and Africa",
"currency": "AFN",
"currency_name": "Afghan afghani",
"income_group": "Low income",
"time_zones": [
"Asia/Kabul"
],
"tourism_figures": "quarterly or yearly"
}
]
}Response fields
| Field | Type | Example |
|---|---|---|
| iso | string | AD |
| iso3 | string | AND |
| numeric | string | 020 |
| name | string | Andorra |
| region | string | Europe |
| currency | string | EUR |
| currency_name | string | Euro |
| income_group | string | High income |
| time_zones | array | 1 items |
| tourism_figures | string | quarterly or yearly |